import { SharedPlanOperationProcessLocalRepository } from '../../domain/repositories/shared-plan-operation-process-local-repository';
import { SharedPlanOperationProcess } from '../../domain/models/shared-plan-operation-process';
export declare class AppSharedPlanOperationProcessLocalRepository implements SharedPlanOperationProcessLocalRepository {
    private readonly storage;
    findById(id: string): Promise<SharedPlanOperationProcess | null>;
    findByPlanId(planId: string): Promise<SharedPlanOperationProcess | null>;
    save(process: SharedPlanOperationProcess): Promise<void>;
    delete(id: string): Promise<void>;
}
